#!/usr/bin/env node
export type availableTemplate = 'node' | string;
export type initConfig = {
    snpCatalog: string;
    template: availableTemplate | string;
    sUpdaterVersion: string;
    projectCatalog: string;
    temporaryFolder: string;
    snpConfigFile: string;
    remoteRepository: string;
    isDebug: boolean;
};
export type buildConfig = initConfig & {
    fileMap: {
        fileMap: string[];
        files: Record<string, string[]>;
    };
    templateVersion: string;
};
export declare const init: (args: Args) => Promise<initConfig>;
export declare const createConfigFile: (config: initConfig) => Promise<initConfig>;
export declare const downloadRemoteConfig: (config: initConfig) => Promise<buildConfig>;
export declare const buildConfig: (config: buildConfig) => Promise<buildConfig>;
export declare const cleanUp: (config: buildConfig) => Promise<any>;
interface Args {
    snpConfig?: string;
    template?: string;
    project?: string;
    debug?: boolean;
    remoteRepository?: string;
    _: string[];
}
export {};
