import deepmerge from '../../node_modules/deepmerge/dist/cjs.mjs';
import { l as lib } from '../../node_modules/fs-extra/lib/index.mjs';
import { createFile } from './createFile.mjs';

async function updateJson({ filePath, newContent }) {
    try {
        return lib.readFile(filePath).then(async (bufferData) => {
            const jsonContent = JSON.parse(bufferData.toString());
            const newJsonContent = deepmerge(jsonContent, newContent);
            await createFile({
                filePath,
                content: JSON.stringify(newJsonContent),
            });
        });
    }
    catch (err) {
        console.error(`Błąd podczas odczytu pliku ${filePath}`, err);
        throw err; // Przekaż błąd dalej, aby był obsłużony przez wywołującą funkcję
    }
}

export { updateJson };
